Skip to navigation

Retrieve form

Retrieves a form by the given form_id. Includes any theme and images attached to the form as references.

Details about the fields and elements for this endpoint are available in the Create Form description.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

form_idanyRequired

Unique ID for the form. Find in your form URL. For example, in the URL “https://mysite.typeform.com/to/u6nXL7” the form_id is u6nXL7.

Response

OK
idstringOptional
titlestringOptional
languagestringOptionalDefaults to en
fieldslist of objectsOptional
hiddenlist of stringsOptional
variablesobjectOptional
welcome_screenslist of objectsOptional
thankyou_screenslist of objectsOptional
logiclist of objectsOptional
themeobjectOptional
workspaceobjectOptional
settingsobjectOptional
cui_settingsobjectOptional